Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.html
Class ELMessagesTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.html.MessagesTag
                  org.apache.strutsel.taglib.html.ELMessagesTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, Tag

    public class ELMessagesTag

extends MessagesTag

Custom tag that iterates the elements of a message collection. It defaults to retrieving the messages from `Action.ERROR_KEY`, but if the message attribute is set to true then the messages will be retrieved from `Action.MESSAGE_KEY`. This is an alternative to the default `ErrorsTag`.

This class is a subclass of the class `org.apache.struts.taglib.html.MessagesTag` which provides most of the described functionality. This subclass allows all attribute values to be specified as expressions utilizing the JavaServer Pages Standard Library expression language.

Version:
  $Rev: 471754 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.taglib.html.MessagesTag
`bundle, footer, header, id, iterator, locale, message, messageResources, name, processed, property`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELMessagesTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`String` | `getBundleExpr()` Getter method for "bundle" tag attribute.
`String` | `getFooterExpr()` Getter method for "footer" tag attribute.
`String` | `getHeaderExpr()` Getter method for "header" tag attribute.
`String` | `getIdExpr()` Getter method for "id" tag attribute.
`String` | `getLocaleExpr()` Getter method for "locale" tag attribute.
`String` | `getMessageExpr()` Getter method for "message" tag attribute.
`String` | `getNameExpr()` Getter method for "name" tag attribute.
`String` | `getPropertyExpr()` Getter method for "property" tag attribute.
`void` | `release()` Resets attribute values for tag reuse.
`void` | `setBundleExpr(String bundleExpr)` Setter method for "bundle" tag attribute.
`void` | `setFooterExpr(String footerExpr)` Setter method for "footer" tag attribute.
`void` | `setHeaderExpr(String headerExpr)` Setter method for "header" tag attribute.
`void` | `setIdExpr(String idExpr)` Setter method for "id" tag attribute.
`void` | `setLocaleExpr(String localeExpr)` Setter method for "locale" tag attribute.
`void` | `setMessageExpr(String messageExpr)` Setter method for "message" tag attribute.
`void` | `setNameExpr(String nameExpr)` Setter method for "name" tag attribute.
`void` | `setPropertyExpr(String propertyExpr)` Setter method for "property" tag attribute.

Methods inherited from class org.apache.struts.taglib.html.MessagesTag
`doAfterBody, doEndTag, getBundle, getFooter, getHeader, getId, getLocale, getMessage, getName, getProperty, setBundle, setFooter, setHeader, setId, setLocale, setMessage, setName, setProperty`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### ELMessagesTag

    public ELMessagesTag()

Method Detail

### getIdExpr

    public String getIdExpr()

  Getter method for "id" tag attribute. (Mapping set in associated BeanInfo class.)

### getBundleExpr

    public String getBundleExpr()

  Getter method for "bundle" tag attribute. (Mapping set in associated BeanInfo class.)

### getLocaleExpr

    public String getLocaleExpr()

  Getter method for "locale" tag attribute. (Mapping set in associated BeanInfo class.)

### getNameExpr

    public String getNameExpr()

  Getter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### getPropertyExpr

    public String getPropertyExpr()

  Getter method for "property" tag attribute. (Mapping set in associated BeanInfo class.)

### getHeaderExpr

    public String getHeaderExpr()

  Getter method for "header" tag attribute. (Mapping set in associated BeanInfo class.)

### getFooterExpr

    public String getFooterExpr()

  Getter method for "footer" tag attribute. (Mapping set in associated BeanInfo class.)

### getMessageExpr

    public String getMessageExpr()

  Getter method for "message" tag attribute. (Mapping set in associated BeanInfo class.)

### setIdExpr

    public void setIdExpr(String idExpr)

  Setter method for "id" tag attribute. (Mapping set in associated BeanInfo class.)

### setBundleExpr

    public void setBundleExpr(String bundleExpr)

  Setter method for "bundle" tag attribute. (Mapping set in associated BeanInfo class.)

### setLocaleExpr

    public void setLocaleExpr(String localeExpr)

  Setter method for "locale" tag attribute. (Mapping set in associated BeanInfo class.)

### setNameExpr

    public void setNameExpr(String nameExpr)

  Setter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### setPropertyExpr

    public void setPropertyExpr(String propertyExpr)

  Setter method for "property" tag attribute. (Mapping set in associated BeanInfo class.)

### setHeaderExpr

    public void setHeaderExpr(String headerExpr)

  Setter method for "header" tag attribute. (Mapping set in associated BeanInfo class.)

### setFooterExpr

    public void setFooterExpr(String footerExpr)

  Setter method for "footer" tag attribute. (Mapping set in associated BeanInfo class.)

### setMessageExpr

    public void setMessageExpr(String messageExpr)

  Setter method for "message" tag attribute. (Mapping set in associated BeanInfo class.)

### release

    public void release()

  Resets attribute values for tag reuse.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `MessagesTag`

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `MessagesTag`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.